Package org.apache.catalina.tribes.membership

## Class StaticMembershipProvider.MemberMessage

- java.lang.Object
- - org.apache.catalina.tribes.membership.StaticMembershipProvider.MemberMessage

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  StaticMembershipProvider

    public static class StaticMembershipProvider.MemberMessage
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `MSG_PING`
`static int` `MSG_START`
`static int` `MSG_STOP`

### Constructor Summary

Constructors
`MemberMessage​(byte[] membershipId, int msgtype, Member member)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Member` `getMember()`
`byte[]` `getMembershipId()`
`int` `getMsgtype()`
`protected String` `getTypeDesc()`
`void` `setMember​(Member local)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MSG_START

    public static final int MSG_START

See Also:
  Constant Field Values

#### MSG_STOP

    public static final int MSG_STOP

See Also:
  Constant Field Values

#### MSG_PING

    public static final int MSG_PING

See Also:
  Constant Field Values

### Constructor Detail

#### MemberMessage

    public MemberMessage​(byte[] membershipId,
                         int msgtype,
                         Member member)

### Method Detail

#### getMsgtype

    public int getMsgtype()

#### getMembershipId

    public byte[] getMembershipId()

#### getMember

    public Member getMember()

#### setMember

    public void setMember​(Member local)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getTypeDesc

    protected String getTypeDesc()